[data-spoiler-content] {
	overflow: hidden;
	max-height: 0;
	opacity: 0;
	will-change: max-height;
	transition: .3s;
}

[data-spoiler] {

	&.open {

		[data-spoiler-content] {
			opacity: 1;
			transition: .3s;
		}

        .spoilers {

            &__header {
                border-bottom-color: transparent;
            }
        }
	}
}

.spoilers {

	&__item {
	//	margin: 0 0 rem(8);

		&.open {

			.spoilers__icon {
				transform: rotate(-180deg);
				transition: .3s;
			}
		}
	}

	&__header {
		width: 100%;
        padding: rem(24) 0;
		cursor: pointer;
		display: flex;
		align-items: center;
		justify-content: space-between;
		position: relative;
		color: $dark;
        border: none;
		outline: none;
		text-align: left;
		background: transparent;
		font-weight: 700;
		font-size: rem(20);
		line-height: rem(26);
        border-bottom: 1px solid rgba(0, 0, 0, 0.1);
	}

	&__title {
		display: block;
		padding-right: rem(8);
	}

	&__icon {
		font-size: 0;
		line-height: 0;
		height: rem(24);
        stroke: #83888F;
	}

    @include media-breakpoint-up(md) {

        &__header {
            font-size: rem(24);
            line-height: rem(30);
        }
    }

    @include media-breakpoint-up(xl) {

        &__header {
            font-size: rem(32);
            line-height: rem(40);
        }
    }
}
